Skip to content

Get chatbot training status

get/chatbot/status/{chatbotId}
Any key

Get the current training progress of the chatbot.

Path parameters

Required
chatbotIdstring
The unique identifier allocated to the chatbot.
Try it · GET /chatbot/status/{chatbotId}
curl 'https://api.chat-data.com/api/v2/chatbot/status/6650f1c2a9e4b83d2c7a1f05' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY"
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringThe overall status of the chatbot. One of: success.
progressnumberThe training progress of the chatbot. For the pre-trained medical chat models, the progress is set to 100 when the chatbot is created. For chatbots trained on your own data, it starts at 0.

Example

{  "status": "success",  "progress": 10}

Last updated October 14, 2026